MAME(6)

NAME
mame - Multiple Arcade Machine Emulator

SYNOPSIS
mame [ Options ] [ ROM_name ]

DESCRIPTION
Multiple Arcade Machine Emulator using the Simple Direct Media Layer.
This manual page documents sdlmame, which is a port of MAME(tm) (Multiple Arcade Machine Emulator) that uses SDL (Simple Direct Media Layer).
MAME is an emulator: it reproduces, more or less faithfully, the behaviour of several arcade machines. But hardware is useless without software, so an image of the ROMs which run on that hardware is required. Such ROMs, like any other commercial software, are copyrighted material and it is therefore illegal to use them if you don't own the original arcade machine. Needless to say, ROMs are not distributed together with MAME(tm). Distribution of MAME(tm) together with ROM images is a violation of copyright law and should be promptly reported to the authors so that appropriate legal action can be taken.
Keep in mind that you NEED the ROM images to play a game because MAME is not a game emulator, just an arcade machine one.
More informations on MAME(tm) available at http://mame.net/
SDLMAME original sources are available at http://rbelmont.mameworld.info/

OPTIONS
-showusage Show a brief list of options.

-showconfig
    Show a list of configuration options.

-createconfig
    Create a default mame.ini file.

Basic Startup Options:

-rompath /path/to/rom/files/zipped
    Specify path to ROMsets and hard disk images

-samplepath /path/to/samples
    Specify path to samplesets

-artpath /path/to/artwork/files
    Specify path to artwork files

-ctrlrpath /path/to/controller/definition
    Specify path to controller definitions

-inipath /path/to/ini/file
    Specify path to ini files

-fontpath /path/to/the/fonts
    Specify path to font files

See /usr/doc/sdlmame-0.144/config.txt for more information
    on available options.

EXAMPLE
mame will launch the emulator in fullscreen mode with game list detected. mame gridlee will launch the game "Gridlee" in fullscreen mode.

mame -window gridlee
    will launch the game "Gridlee" in a window.

mame -inipath ~/.mame/mame.ini gridlee
    will launch the game "Gridlee" using a custom "mame.ini" file stored in the folder ".mame" of your home directory (usually "/home/yourusername/").

mame -showconfig
    will output all the mame current configuration.

FILES
~/.mame/mame.ini Per-user mame config files. If present, this is used instead of the system-wide config.

/etc/mame.ini
    System-wide config file for mame, not used if ~/.mame/mame.ini exists.

/usr/share/games/mame/
    This is the default location (set in mame.ini) where mame will look for the roms, samples, artwork, ctrlr, font, and cheat directories. In other words, read-only data. Note that these directories are initially empty when mame is installed (except for the font directory).

/usr/share/games/mame/roms
    ROM and CHD images. Normally ROMs are kept in zip files named after the games, but they may also be extracted into subdirectories named after the games instead. CHDs should be placed in subdirectories named after the games. See the MAME FAQ for more information:

http://mamedev.org/devwiki/index.php?title=Frequently_Asked_Questions

/usr/share/games/mame/artwork
    Cabinet artwork.

/usr/share/games/mame/samples
    Audio samples for games whose audio hardware isn't emulated by mame. You can find these at various sites on the web. One collection can be found at

http://www.arcadeathome.com/mamewav.phtml

/usr/share/games/mame/ctrlr
    Custom controller definitions.

/usr/share/games/mame/font
    The systemwide mame user interface font lives here, as "ui.bdf". You can replace the UI font by replacing this file with some other BDF font. To replace on a per-user basis, copy the font to ~/.mame/ui.bdf and delete ~/.mame/ui.bdc if it exists.

/usr/share/games/mame/cheat

/usr/share/games/mame/cheat.zip
    Cheats database. Recent versions of MAME use an XML format for the cheat definitions. Normally all the cheats are stored in a zip file "cheat.zip". The cheat/ directory is for individual XML files (e.g. if you're developing your own cheat for pacman, you'd put it in cheat/pacman.xml). There's no need to unpack the cheat.zip unless you're planning to modify it. Note that the old cheat.dat format is no longer supported. You can find an XML cheat.zip at

http://cheat.retrogames.com/forums/viewtopic.php?t=3110

(Note: the zip file you download from there needs to be unzipped. It
    contains a cheats.zip file; this is the one you copy to /usr/share/games/mame/cheat.zip)

~/.mame/
    This is the default location (set in mame.ini) where mame will create its cfg, sta, and other writable data directories (and the files therein). See /usr/doc/sdlmame-0.144/config.txt for more information.

SEE ALSO
MAME documentation in /usr/doc/sdlmame-0.144
The MAME web site at http://mamedev.org/

COPYRIGHT
MAME(tm) - Copyright (C) 1997-2008, Nicola Salmoria and the MAME(tm) team
MAME - Copyright (C) Olivier Galibert and R. Belmont.

AUTHOR
MAME(tm) was written by Nicola Salmoria and the MAME(tm) team.
sdlmame was written by Olivier Galibert and R. Belmont.

This manual page was written by Ludovic Lechapt <ludomatic@gmail.com>, for the Debian project but may be used by others, like Ubuntu :)

This manual page has been modified by B. Watson <yalhcru@gmail.com> for SlackBuilds.org.